NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Protected Member Functions | Properties | List of all members
NXOpen.Annotations.Associativity Class Reference

Represents an associativity object. More...

Inheritance diagram for NXOpen.Annotations.Associativity:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Properties

unsafe double Angle [get, set]
 Returns or sets the angle. More...
 
unsafe NXOpen.Point3d FirstDefinitionPoint [get, set]
 Returns or sets the first definition point. More...
 
unsafe NXOpen.NXObject FirstObject [get, set]
 Returns or sets the first associativity object More...
 
unsafe
NXOpen.Annotations.AssociativityLineOption 
LineOption [get, set]
 Returns or sets the line option More...
 
unsafe NXOpen.View ObjectView [get, set]
 Returns or sets the object view. More...
 
unsafe NXOpen.Point3d PickPoint [get, set]
 Returns or sets the pick point More...
 
unsafe
NXOpen.Annotations.AssociativityPointOption 
PointOption [get, set]
 Returns or sets the point option More...
 
unsafe NXOpen.Point3d SecondDefinitionPoint [get, set]
 Returns or sets the second definition point. More...
 
unsafe NXOpen.NXObject SecondObject [get, set]
 Returns or sets the second associativity object, if the annotation is associated to an intersection point. More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 

Detailed Description

Represents an associativity object.

The associativity object describes how an annotation is attached to geometry. The associativities are specified at indices starting with 1. In most cases, the index corresponds to the order in which objects are selected to create an annotation. So, the associativity at index 1 specifies first object selectd, the associativity at index 2 specifies second object selected and so on...

Dimensions can only have associativities at indices {1, 2, 3}. Please note the following special cases for the dimension associativities -

1. For ordinate dimensions NXOpen.Annotations.OrdinateDimension , the associativity at index 1 stores the ordinate origin data.

2. The associativity at index 3 stores the following -

A. Fold location for the folded radius dimension

B. Margin data for the ordinate dimensions

3. Set the associativities at index 1 when creating chain and baseline dimensions. The associativity at index 2 and 3 are ignored.

To create a new instance of this class, use NXOpen.Annotations.AnnotationManager.NewAssociativity

Created in NX4.0.0

Member Function Documentation

override void NXOpen.Annotations.Associativity.FreeResource ( )
inlineprotectedvirtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX4.0.0

License requirements: None.

Implements NXOpen.TransientObject.

Property Documentation

unsafe double NXOpen.Annotations.Associativity.Angle
getset

Returns or sets the angle.

Required for following line option - NXOpen.Annotations.AssociativityLineOption.Angle

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point3d NXOpen.Annotations.Associativity.FirstDefinitionPoint
getset

Returns or sets the first definition point.

Required for following line options - NXOpen.Annotations.AssociativityLineOption.PointVector

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXObject NXOpen.Annotations.Associativity.FirstObject
getset

Returns or sets the first associativity object

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Annotations.AssociativityLineOption NXOpen.Annotations.Associativity.LineOption
getset

Returns or sets the line option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.View NXOpen.Annotations.Associativity.ObjectView
getset

Returns or sets the object view.

Both the associativity objects must have the same view.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point3d NXOpen.Annotations.Associativity.PickPoint
getset

Returns or sets the pick point

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Annotations.AssociativityPointOption NXOpen.Annotations.Associativity.PointOption
getset

Returns or sets the point option

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point3d NXOpen.Annotations.Associativity.SecondDefinitionPoint
getset

Returns or sets the second definition point.

Required for following line options - NXOpen.Annotations.AssociativityLineOption.PointVector

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXObject NXOpen.Annotations.Associativity.SecondObject
getset

Returns or sets the second associativity object, if the annotation is associated to an intersection point.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.